> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the login IP allowlist policy

> Retrieve the login IP allowlist policy of your organization. Requires admin privileges.



## OpenAPI

````yaml /monolith-v1-openapi.yaml get /v1/login_ip_allowlist
openapi: 3.0.3
info:
  title: Synack API
  version: 2.0.0
  description: >
    Comprehensive API for Synack's security testing platform, providing
    endpoints for managing assessments, vulnerabilities, users, and security
    testing operations.
  contact:
    name: Synack Engineering
    email: engineering@synack.com
  license:
    name: Proprietary
servers:
  - url: https://api.synack.com
    description: Commercial - V1 API
  - url: https://api.synack.us
    description: FedRAMP (Medium) - V1 API
security:
  - BearerAuth: []
  - BasicAuth: []
  - ApiKeyAuth: []
tags:
  - name: Assessments
    description: Operations related to security assessments
  - name: Tests
    description: Operations related to security tests
  - name: Test Plans
    description: Operations related to test plans
  - name: Vulnerabilities
    description: Operations related to security vulnerabilities
  - name: Suspected Vulnerabilities
    description: Operations related to suspected vulnerabilities
  - name: Comments
    description: Operations related to comments
  - name: Patch Verifications
    description: Operations related to patch verifications
  - name: Users
    description: Operations related to users
  - name: Assessment Groups
    description: Operations related to assessment groups
  - name: Tags
    description: Operations related to tags
  - name: Vulnerability Statuses
    description: Operations related to vulnerability statuses
  - name: Listings
    description: Operations related to listings
  - name: Login IP Allowlist
    description: Operations related to the organization's login IP allowlist
paths:
  /v1/login_ip_allowlist:
    get:
      tags:
        - Login IP Allowlist
      summary: Retrieve the login IP allowlist policy
      description: >-
        Retrieve the login IP allowlist policy of your organization. Requires
        admin privileges.
      operationId: getLoginIpAllowlist
      responses:
        '200':
          description: The current login IP allowlist policy
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoginIpAllowlist'
        '403':
          description: The requesting party does not have admin privileges
        '404':
          description: Login IP allowlist is not enabled for the organization
components:
  schemas:
    LoginIpAllowlist:
      type: object
      required:
        - mode
        - entries
      properties:
        mode:
          type: string
          enum:
            - disabled
            - enforced
          description: >-
            Whether logins from outside the allowlist are refused. Entries are
            kept while the policy is disabled.
        entries:
          type: array
          maxItems: 1000
          description: >-
            Networks allowed to authenticate. A single host is returned as a
            bare address, a wider range in CIDR notation.
          items:
            type: string
            example: 198.51.100.0/24
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Auth

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.